Skip to main content
POST
/
monitors
/
{monitor_id}
/
test-evaluate
Test evaluate a monitor
curl --request POST \
  --url https://api.coval.dev/v1/monitors/{monitor_id}/test-evaluate \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "run_id": "hUWu3PxY6G7fTYbLzBAwZm"
}
'
{
  "monitor_id": "<string>",
  "run_id": "<string>",
  "triggered": true,
  "suppressed": false,
  "condition_results": [
    {}
  ],
  "dispatch_results": [
    {}
  ],
  "message": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

monitor_id
string
required

Monitor ULID

Pattern: ^[0-9A-Z]{26}$

Body

application/json
run_id
string
required

Run ID to evaluate the monitor against

Response

Test evaluation results

monitor_id
string
required

Monitor ULID

run_id
string
required

Run that was evaluated

triggered
boolean
required

Whether the monitor would have triggered

suppressed
boolean
default:false

Whether cooldown would have suppressed the trigger

condition_results
object[]

Per-condition evaluation results

dispatch_results
object[]

Empty for dry-run (no dispatching)

message
string

Generated notification message